#include "bits/stdc++.h"
#include "numeric"
using namespace std;

#define forn(i, n) for(int i=0;i<n;++i)
#define fornn(i, l, r) for(int i=l;i<=r;++i)
#define ford(i, n) for(int i=n-1;i>=0;--i)
#define all(a) (a).begin(),(a).end()
#define rall(a) (a).rbegin(),(a).rend()
#define pb push_back
#define eb emplace_back
#define ff first
#define ss second

using ll = long long;
using ld = long double;
using pii = pair<int, int>;
using pll = pair<ll, ll>;

const int maxn = 1e5 + 7;
const int logn = 32;
const int mod = 1e9 + 7;
const int iterations = 1e6;

int n,m;

void solve() {
    cin>>n>>m;
    queue<ll> x;
    forn(i,m) {
        int k; cin>>k; x.push(k);
    }
    
    vector<ll> a(n);
    forn(i,n) {
        if (x.empty()) break;
        a[i]=x.front();
        x.pop();
    }
    
    while (!x.empty()) a[0]=x.front()-a[0], x.pop();
    
    ll res =0 ;
    for(auto i:a) res+=i;
    cout<<res<<endl;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);

#ifdef LOCAL
    freopen("C:\\work\\untitled\\b.txt", "r", stdin);
    freopen("C:\\work\\untitled\\out.txt", "w", stdout);

    while (!cin.eof()) {
        solve();
        cout << endl;
    }
#else
    int t; cin>>t;
    while(t--){
        solve();
    }
#endif

    return 0;
}
